"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _ScheduleDatePicker = _interopRequireDefault(require("./components/ScheduleDatePicker"));
var _TimeSlots = _interopRequireDefault(require("./components/TimeSlots"));
var _dateHelpers = require("./utils/dateHelpers");
var _data = require("./utils/data");
var _LocalContext = require("./components/LocalContext");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const TimeSlotPicker = _ref => {
  let {
    availableDates = _dateHelpers.fixedAvailableDates,
    setDateOfAppointment,
    scheduledAppointment,
    marginTop = 0,
    datePickerBackgroundColor,
    timeSlotsBackgroundColor,
    timeSlotsTitle,
    mainColor = _data.defaultActiveColor,
    timeSlotWidth = _data.defaultTimeSlotWidth,
    dayNamesOverride = _data.defaultDayNames,
    monthNamesOverride = _data.defaultMonthNames
  } = _ref;
  const [selectedTime, setSelectedTime] = (0, _react.useState)('');
  const [selectedDate, setSelectedDate] = (0, _react.useState)(availableDates[0]);
  (0, _react.useEffect)(() => {
    var _availableDates$first;
    // Get first day with available appointments
    const firstAvailableDay = availableDates.findIndex(date => date.slotTimes.length > 0) || 0;
    setSelectedDate(availableDates === null || availableDates === void 0 ? void 0 : availableDates[firstAvailableDay]);
    setSelectedTime((availableDates === null || availableDates === void 0 || (_availableDates$first = availableDates[firstAvailableDay]) === null || _availableDates$first === void 0 || (_availableDates$first = _availableDates$first.slotTimes) === null || _availableDates$first === void 0 ? void 0 : _availableDates$first[0]) || '');
  }, [availableDates]);

  // If any changes on date and time selected update data of appointment
  (0, _react.useEffect)(() => {
    if (selectedDate && selectedTime) {
      setDateOfAppointment({
        appointmentDate: selectedDate.date,
        appointmentTime: selectedTime
      });
    } else {
      setDateOfAppointment(null);
    }
    // eslint-disable-next-line react-hooks/exhaustive-deps
  }, [selectedDate, selectedTime]);
  return /*#__PURE__*/_react.default.createElement(_LocalContext.LocalContext, {
    slotDate: (selectedDate === null || selectedDate === void 0 ? void 0 : selectedDate.date) || '',
    scheduledAppointment: scheduledAppointment,
    overrideData: {
      mainColor,
      timeSlotWidth,
      dayNamesOverride,
      monthNamesOverride
    }
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: {
      marginTop
    }
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, null, /*#__PURE__*/_react.default.createElement(_ScheduleDatePicker.default, {
    selectedDate: selectedDate,
    availableDates: availableDates,
    setSelectedDate: setSelectedDate,
    setSelectedTime: setSelectedTime,
    scheduledAppointment: scheduledAppointment,
    backgroundColor: datePickerBackgroundColor
  })), selectedDate && /*#__PURE__*/_react.default.createElement(_TimeSlots.default, {
    title: timeSlotsTitle,
    selectedTime: selectedTime,
    setSelectedTime: setSelectedTime,
    slotTimes: selectedDate.slotTimes,
    backgroundColor: timeSlotsBackgroundColor
  })));
};
var _default = TimeSlotPicker;
exports.default = _default;
//# sourceMappingURL=TimeSlotPicker.js.map