"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _theme = require("../utils/theme");
var _Touchable = _interopRequireDefault(require("./Touchable"));
var _LocalContext = require("./LocalContext");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const CalendarDay = _ref => {
  let {
    disabled,
    onPress,
    date,
    isSelected,
    isToday,
    hasAppointments
  } = _ref;
  const {
    mainColor,
    dayNamesOverride
  } = (0, _react.useContext)(_LocalContext.OverrideDataContext);
  const dateObject = (0, _react.useMemo)(() => new Date(date), [date]);
  const day = (0, _react.useMemo)(() => dateObject.getDate(), [dateObject]);
  const dayNumberOfWeek = (0, _react.useMemo)(() => dateObject.getDay(), [dateObject]);
  const getDate = (0, _react.useCallback)(() => {
    return dayNamesOverride[dayNumberOfWeek];
  }, [dayNamesOverride, dayNumberOfWeek]);
  const getColorOfDay = (0, _react.useCallback)(() => {
    if (isSelected) return _theme.theme.colors.white;
    if (isToday) return mainColor;
    return _theme.theme.colors.primary900;
  }, [isSelected, isToday, mainColor]);
  return /*#__PURE__*/_react.default.createElement(_Touchable.default, {
    disabled: disabled,
    onPress: onPress,
    style: styles.dateContainer
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.dayTitle
  }, getDate()), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [styles.day, isToday ? styles.todayBackground : styles.defaultBackground, isSelected ? {
      backgroundColor: mainColor
    } : styles.day]
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: [styles.dayValue, {
      opacity: disabled ? 0.5 : 1
    }, {
      color: getColorOfDay()
    }]
  }, day), hasAppointments && /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [styles.todayDot, isSelected ? styles.todayBackground : {
      backgroundColor: mainColor
    }]
  })));
};
const styles = _reactNative.StyleSheet.create({
  dateContainer: {
    alignItems: 'center',
    justifyContent: 'center',
    paddingHorizontal: 10,
    width: 48,
    paddingVertical: _theme.theme.spacing.s
  },
  dayTitle: {
    color: _theme.theme.colors.primary600,
    fontSize: 14,
    lineHeight: 20,
    fontWeight: '600'
  },
  day: {
    alignItems: 'center',
    justifyContent: 'center',
    borderRadius: _theme.theme.borderRadii.xl,
    width: 48,
    height: 48,
    marginTop: _theme.theme.spacing.sm
  },
  dayValue: {
    color: _theme.theme.colors.primary900,
    fontSize: 17,
    lineHeight: 24,
    fontWeight: '600'
  },
  defaultBackground: {
    backgroundColor: _theme.theme.colors.white
  },
  todayBackground: {
    backgroundColor: _theme.theme.colors.primary200
  },
  todayDot: {
    position: 'absolute',
    bottom: 6,
    width: 6,
    height: 6,
    borderRadius: _theme.theme.borderRadii.l
  }
});
var _default = CalendarDay;
exports.default = _default;
//# sourceMappingURL=CalendarDay.js.map