"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SelectedDateContext = exports.ScheduledAppointmentContext = exports.OverrideDataContext = exports.LocalContext = void 0;
var React = _interopRequireWildcard(require("react"));
var _data = require("../utils/data");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const SelectedDateContext = /*#__PURE__*/(0, React.createContext)('');
exports.SelectedDateContext = SelectedDateContext;
const ScheduledAppointmentContext = /*#__PURE__*/(0, React.createContext)(undefined);
exports.ScheduledAppointmentContext = ScheduledAppointmentContext;
const OverrideDataContext = /*#__PURE__*/(0, React.createContext)({
  mainColor: _data.defaultActiveColor,
  timeSlotWidth: _data.defaultTimeSlotWidth,
  dayNamesOverride: _data.defaultDayNames,
  monthNamesOverride: _data.defaultMonthNames
});
exports.OverrideDataContext = OverrideDataContext;
const LocalContext = _ref => {
  let {
    children,
    slotDate,
    scheduledAppointment,
    overrideData
  } = _ref;
  return /*#__PURE__*/React.createElement(SelectedDateContext.Provider, {
    value: slotDate
  }, /*#__PURE__*/React.createElement(ScheduledAppointmentContext.Provider, {
    value: scheduledAppointment
  }, /*#__PURE__*/React.createElement(OverrideDataContext.Provider, {
    value: overrideData
  }, children)));
};
exports.LocalContext = LocalContext;
//# sourceMappingURL=LocalContext.js.map