"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _CalendarDay = _interopRequireDefault(require("./CalendarDay"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const ScheduleDateElement = _ref => {
  let {
    slotDate,
    onPress,
    selectedDate,
    currentDay,
    appointmentDay
  } = _ref;
  const day = (0, _react.useMemo)(() => new Date(slotDate.date).getDate(), [slotDate.date]);
  const isAppointmentToday = (0, _react.useMemo)(() => appointmentDay === day, [appointmentDay, day]);
  const isSelected = (0, _react.useCallback)(() => {
    return slotDate.date === (selectedDate === null || selectedDate === void 0 ? void 0 : selectedDate.date);
  }, [slotDate.date, selectedDate === null || selectedDate === void 0 ? void 0 : selectedDate.date]);
  return /*#__PURE__*/_react.default.createElement(_CalendarDay.default, {
    disabled: slotDate.slotTimes.length === 0,
    onPress: onPress,
    date: slotDate.date,
    isSelected: isSelected(),
    isToday: currentDay === day,
    hasAppointments: isAppointmentToday
  });
};
var _default = ScheduleDateElement;
exports.default = _default;
//# sourceMappingURL=ScheduleDateElement.js.map