"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _ScheduleDateElement = _interopRequireDefault(require("./ScheduleDateElement"));
var _theme = require("../utils/theme");
var _LocalContext = require("./LocalContext");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const today = new Date();
const currentDay = today.getDate();
const ScheduleDatePicker = _ref => {
  let {
    availableDates,
    selectedDate,
    setSelectedDate,
    setSelectedTime,
    scheduledAppointment,
    backgroundColor = _theme.theme.colors.white
  } = _ref;
  const scrollRef = (0, _react.useRef)();
  const {
    monthNamesOverride
  } = (0, _react.useContext)(_LocalContext.OverrideDataContext);
  const currentMonth = (0, _react.useMemo)(() => monthNamesOverride[today.getMonth()], [monthNamesOverride]);
  const getScheduledAppointmentDate = (0, _react.useCallback)(date => new Date(date).getDate(), []);
  const onDatePress = date => {
    var _date$slotTimes;
    setSelectedDate(date);
    setSelectedTime((date === null || date === void 0 || (_date$slotTimes = date.slotTimes) === null || _date$slotTimes === void 0 ? void 0 : _date$slotTimes[0]) || '');
  };
  const getAppointmentDay = (0, _react.useCallback)(() => {
    if (scheduledAppointment !== null && scheduledAppointment !== void 0 && scheduledAppointment.appointmentDate) {
      return getScheduledAppointmentDate(scheduledAppointment === null || scheduledAppointment === void 0 ? void 0 : scheduledAppointment.appointmentDate);
    }
    return -1;
  }, [scheduledAppointment === null || scheduledAppointment === void 0 ? void 0 : scheduledAppointment.appointmentDate, getScheduledAppointmentDate]);
  const dateContainer = (date, index) => {
    return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      key: index
    }, /*#__PURE__*/_react.default.createElement(_ScheduleDateElement.default, {
      slotDate: date,
      selectedDate: selectedDate,
      onPress: () => {
        onDatePress(date);
      },
      currentDay: currentDay,
      appointmentDay: getAppointmentDay()
    }));
  };
  const getDates = () => {
    return availableDates.map((data, index) => {
      return dateContainer(data, index);
    });
  };
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: {
      backgroundColor
    }
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.container
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.title
  }, currentMonth, " ", currentDay)), /*#__PURE__*/_react.default.createElement(_reactNative.ScrollView, {
    ref: scrollRef,
    showsHorizontalScrollIndicator: false,
    horizontal: true,
    contentContainerStyle: styles.scrollViewContent
  }, getDates()));
};
const styles = _reactNative.StyleSheet.create({
  container: {
    paddingHorizontal: _theme.theme.spacing.m,
    marginBottom: _theme.theme.spacing.m
  },
  title: {
    color: _theme.theme.colors.primary900,
    fontSize: 22,
    lineHeight: 28,
    fontWeight: '700'
  },
  scrollViewContent: {
    paddingHorizontal: _theme.theme.spacing.m
  }
});
var _default = ScheduleDatePicker;
exports.default = _default;
//# sourceMappingURL=ScheduleDatePicker.js.map