"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _theme = require("../utils/theme");
var _LocalContext = require("./LocalContext");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const TimeSlot = _ref => {
  let {
    value,
    onPress,
    selectedTime
  } = _ref;
  const isSelected = selectedTime === value;
  const scheduledAppointment = (0, _react.useContext)(_LocalContext.ScheduledAppointmentContext);
  const selectedDate = (0, _react.useContext)(_LocalContext.SelectedDateContext);
  const {
    mainColor,
    timeSlotWidth
  } = (0, _react.useContext)(_LocalContext.OverrideDataContext);
  const appointmentDateToCompare = (0, _react.useMemo)(() => {
    var _scheduledAppointment;
    return scheduledAppointment === null || scheduledAppointment === void 0 || (_scheduledAppointment = scheduledAppointment.appointmentDate) === null || _scheduledAppointment === void 0 ? void 0 : _scheduledAppointment.split('T')[0];
  }, [scheduledAppointment === null || scheduledAppointment === void 0 ? void 0 : scheduledAppointment.appointmentDate]);
  const selectedDateToCompare = (0, _react.useMemo)(() => selectedDate.split('T')[0], [selectedDate]);
  const appointmentDot = (0, _react.useMemo)(() => {
    return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: [styles.todayDot, isSelected ? styles.todayBackground : {
        backgroundColor: mainColor
      }]
    });
  }, [isSelected, mainColor]);

  // Check if there is an appointment to mark time slot appropriately
  const getAppointmentDot = (0, _react.useCallback)(() => {
    if (scheduledAppointment !== null && scheduledAppointment !== void 0 && scheduledAppointment.appointmentDate) {
      if (selectedDateToCompare === appointmentDateToCompare && scheduledAppointment.appointmentTime === value) {
        return appointmentDot;
      }
    }
    return null;
  }, [appointmentDot, scheduledAppointment, appointmentDateToCompare, selectedDateToCompare, value]);
  return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    onPress: onPress
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [styles.container, {
      width: timeSlotWidth
    }, isSelected ? {
      backgroundColor: mainColor
    } : styles.unSelected]
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: [isSelected ? styles.selectedText : styles.unSelectedText]
  }, value), getAppointmentDot()));
};
const styles = _reactNative.StyleSheet.create({
  container: {
    height: 36,
    alignItems: 'center',
    justifyContent: 'center',
    borderRadius: _theme.theme.borderRadii.ml
  },
  unSelected: {
    backgroundColor: _theme.theme.colors.primary200
  },
  selectedText: {
    color: _theme.theme.colors.white,
    fontSize: 14,
    lineHeight: 20,
    fontWeight: '600'
  },
  unSelectedText: {
    color: _theme.theme.colors.primary900,
    fontSize: 15,
    lineHeight: 20,
    fontWeight: '400'
  },
  todayBackground: {
    backgroundColor: _theme.theme.colors.primary200
  },
  todayDot: {
    position: 'absolute',
    bottom: 4,
    width: 6,
    height: 6,
    borderRadius: _theme.theme.borderRadii.l
  }
});
var _default = TimeSlot;
exports.default = _default;
//# sourceMappingURL=TimeSlot.js.map