"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _TimeSlot = _interopRequireDefault(require("./TimeSlot"));
var _reactNative = require("react-native");
var _theme = require("../utils/theme");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const TimeSlots = _ref => {
  let {
    slotTimes,
    selectedTime,
    setSelectedTime,
    title = 'Select time',
    backgroundColor = _theme.theme.colors.white
  } = _ref;
  const onPress = value => {
    setSelectedTime(value);
  };
  const getTimeSlots = (0, _react.useCallback)(() => {
    return slotTimes.map(time => {
      return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
        style: styles.timeSlotContainer,
        key: time
      }, /*#__PURE__*/_react.default.createElement(_TimeSlot.default, {
        onPress: () => onPress(time),
        value: time,
        selectedTime: selectedTime
      }));
    });
    // eslint-disable-next-line react-hooks/exhaustive-deps
  }, [slotTimes, selectedTime]);
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [styles.container, {
      backgroundColor
    }]
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.titleContainer
  }, title), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.timeSlotsContainer
  }, getTimeSlots()));
};
var _default = TimeSlots;
exports.default = _default;
const styles = _reactNative.StyleSheet.create({
  container: {
    paddingTop: _theme.theme.spacing.l,
    paddingLeft: _theme.theme.spacing.m
  },
  titleContainer: {
    color: _theme.theme.colors.primary600,
    marginBottom: _theme.theme.spacing.m,
    fontSize: 14,
    lineHeight: 20,
    fontWeight: '600'
  },
  timeSlotsContainer: {
    flexDirection: 'row',
    flexWrap: 'wrap'
  },
  timeSlotContainer: {
    marginRight: _theme.theme.spacing.s,
    marginBottom: _theme.theme.spacing.sm
  }
});
//# sourceMappingURL=TimeSlots.js.map