"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.fixedAvailableDates = void 0;
const fixedSlotTimes = ['07:00-08:00', '08:00-09:00', '09:00-10:00', '10:00-11:00', '11:00-12:00', '12:00-13:00', '13:00-14:00', '14:00-15:00', '15:00-16:00', '16:00-17:00', '17:00-18:00', '18:00-19:00', '19:00-20:00', '20:00-21:00', '21:00-22:00'];
const getNextDays = function (daysToAdd) {
  let currentDate = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : new Date();
  const nextDate = new Date(currentDate);
  nextDate.setDate(currentDate.getDate() + daysToAdd);
  return nextDate;
};
const getFixedAvailableDates = () => {
  const dates = [];
  for (let i = 0; i < 20; i++) {
    const day = {
      date: getNextDays(i).toISOString(),
      slotTimes: fixedSlotTimes
    };
    dates.push(day);
  }
  return dates;
};

/**
 * Contains 20 days from today with the `fixedSlotTimes` for every day
 */
const fixedAvailableDates = getFixedAvailableDates();
exports.fixedAvailableDates = fixedAvailableDates;
//# sourceMappingURL=dateHelpers.js.map