import * as React from 'react';
import { createContext } from 'react';
import { defaultActiveColor, defaultDayNames, defaultMonthNames, defaultTimeSlotWidth } from '../utils/data';
export const SelectedDateContext = /*#__PURE__*/createContext('');
export const ScheduledAppointmentContext = /*#__PURE__*/createContext(undefined);
export const OverrideDataContext = /*#__PURE__*/createContext({
  mainColor: defaultActiveColor,
  timeSlotWidth: defaultTimeSlotWidth,
  dayNamesOverride: defaultDayNames,
  monthNamesOverride: defaultMonthNames
});
export const LocalContext = _ref => {
  let {
    children,
    slotDate,
    scheduledAppointment,
    overrideData
  } = _ref;
  return /*#__PURE__*/React.createElement(SelectedDateContext.Provider, {
    value: slotDate
  }, /*#__PURE__*/React.createElement(ScheduledAppointmentContext.Provider, {
    value: scheduledAppointment
  }, /*#__PURE__*/React.createElement(OverrideDataContext.Provider, {
    value: overrideData
  }, children)));
};
//# sourceMappingURL=LocalContext.js.map