import React, { useCallback, useMemo } from 'react';
import CalendarDay from './CalendarDay';
const ScheduleDateElement = _ref => {
  let {
    slotDate,
    onPress,
    selectedDate,
    currentDay,
    appointmentDay
  } = _ref;
  const day = useMemo(() => new Date(slotDate.date).getDate(), [slotDate.date]);
  const isAppointmentToday = useMemo(() => appointmentDay === day, [appointmentDay, day]);
  const isSelected = useCallback(() => {
    return slotDate.date === (selectedDate === null || selectedDate === void 0 ? void 0 : selectedDate.date);
  }, [slotDate.date, selectedDate === null || selectedDate === void 0 ? void 0 : selectedDate.date]);
  return /*#__PURE__*/React.createElement(CalendarDay, {
    disabled: slotDate.slotTimes.length === 0,
    onPress: onPress,
    date: slotDate.date,
    isSelected: isSelected(),
    isToday: currentDay === day,
    hasAppointments: isAppointmentToday
  });
};
export default ScheduleDateElement;
//# sourceMappingURL=ScheduleDateElement.js.map