import React, { useCallback } from 'react';
import TimeSlot from './TimeSlot';
import { StyleSheet, Text, View } from 'react-native';
import { theme } from '../utils/theme';
const TimeSlots = _ref => {
  let {
    slotTimes,
    selectedTime,
    setSelectedTime,
    title = 'Select time',
    backgroundColor = theme.colors.white
  } = _ref;
  const onPress = value => {
    setSelectedTime(value);
  };
  const getTimeSlots = useCallback(() => {
    return slotTimes.map(time => {
      return /*#__PURE__*/React.createElement(View, {
        style: styles.timeSlotContainer,
        key: time
      }, /*#__PURE__*/React.createElement(TimeSlot, {
        onPress: () => onPress(time),
        value: time,
        selectedTime: selectedTime
      }));
    });
    // eslint-disable-next-line react-hooks/exhaustive-deps
  }, [slotTimes, selectedTime]);
  return /*#__PURE__*/React.createElement(View, {
    style: [styles.container, {
      backgroundColor
    }]
  }, /*#__PURE__*/React.createElement(Text, {
    style: styles.titleContainer
  }, title), /*#__PURE__*/React.createElement(View, {
    style: styles.timeSlotsContainer
  }, getTimeSlots()));
};
export default TimeSlots;
const styles = StyleSheet.create({
  container: {
    paddingTop: theme.spacing.l,
    paddingLeft: theme.spacing.m
  },
  titleContainer: {
    color: theme.colors.primary600,
    marginBottom: theme.spacing.m,
    fontSize: 14,
    lineHeight: 20,
    fontWeight: '600'
  },
  timeSlotsContainer: {
    flexDirection: 'row',
    flexWrap: 'wrap'
  },
  timeSlotContainer: {
    marginRight: theme.spacing.s,
    marginBottom: theme.spacing.sm
  }
});
//# sourceMappingURL=TimeSlots.js.map